* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, sans-serif;
  display: flexbox;
}
body{
    display: flex;
    flex-direction: column;
    align-items: center;
}

.top{
    display: flex;
    align-items: center;
    flex-direction: column;
    width: 100%;
    height: 50px;
    background-color: #E5CDFE4D;
}
.top .top-1{
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 1440px;
    height: 100%;
    padding-right: 80px;
    padding-left: 80px;
}
.top img{
   align-items: center;
   justify-content: center;
}
.top-1 p1{
  font-weight: 600;
  font-size: 16px;
}

@media screen and (max-width: 1280px) {
.top .top-1{
     width: 100vw;
     height: 54px;
     align-items: center;
     flex-direction: column;
     padding: 0px 40px;
  }
}
@media (max-width: 768px){
  .top .top-1{
     width: 100vw;
     height: 54px;
     align-items: center;
     flex-direction: column;
     padding: 0px 40px;
  }
  .top-1 p{
    font-size: 13px;
  }
  .top-1 p1{
    font-size: 13px;
  }
  .icon {
    width: 16px;
  }
}
  @media screen and (max-width: 480px){
  .top .top-1{
     display: none;
    }
    .top{
      display: none;
    }
}

header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 30px;
  position: relative;
  width: 1440px;
  padding: 8px 80px;
}
.menu-toggle {
    display: none;
  }
.right {
  display: flex;
  align-items: center;
  gap: 20px;
}

.header-1 {
  display: flex;
  gap: 20px;
}

.header-1 a {
  text-decoration: none;
  color: black;
  font-weight: 500;
}

.btn1 {
    border: none;
    height: 48px;
    width: 170px;
    background-color: #45048A;
    color: white;
    cursor: pointer;
    border-radius: 8px;
  }
@media screen and (max-width: 1280px) {
  header{
    width:100vw;
    padding: 8px 40px;
  }
}
@media (max-width: 768px){
.menu-toggle {
    display: block;
  }

  .right {
    position: absolute;
    top: 70px;
    right: 0;
    width: 100%;
    background: white;
    flex-direction: column;
    align-items: center;
    display: none;  /* hidden by default */
    padding: 20px 0;
    box-shadow: 0 5px 10px rgba(0,0,0,0.1);
  }

  .right.active {
    display: flex;   /* show when active */
  }

  .header-1 {
    flex-direction: column;
    gap: 15px;
  }

  .btn-menu {
    margin-top: 15px;
  }
}

#contact {
    background: url('./image/contactus-background.jpg');
    width: 100%;
    height: 100%;
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat; 
}
.hero-overley{
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 100%;
    background:linear-gradient(to right,#222222 0%,#22222200 55%),linear-gradient(to top ,#222222 0%,#22222200 30%)
}
.contact-1{
  width: 1440px;
   height: 300px;
   padding: 80px;
   display: flex;
} 
#contact h1 {
    color: white;
    font-size: 60px;
    font-weight: 600;
   
    
}
.gallery-1 {
    display: flex;
    color: white;
    height: 22px;
    gap: 10px;
    align-content: center;
    margin-top: 16px;
}
.gallery-1 a{
     color: white;
     text-decoration:none;

}
@media (max-width: 1280px) {
 #contact .hero-overley .contact-1{
    width: 100%;
    padding: 40px;
  }
}
@media (max-width: 480px){
   #contact .hero-overley .contact-1{
    width: 100%;
    padding: 20px;
  }
  #contact h1 {
    font-size: 26px;
  }
  .gallery-1 a,p {
    font-size: 12px;
}
.gallery-1{
  margin-top: 16px;
}
}
.contactus{
    width: 1440px;
    display: flex;
    padding: 80px;
    gap: 97px;
}

.contactus .contactus-1{
  
   box-shadow: #E2E8F0 2px 7px 11px;
   border-radius: 8px;
   padding: 32px;
}
.contactus .contactus-1 .form-1{
  width: auto;
  height: auto;
}
.contactus .contactus-1 .form-1 p{
  color: #65758B;
  margin-top: 20px;
}
.contactus .contactus-1 .form-2 {
  width: auto;
  height: auto;
  margin-top: 40px; 
}
.contactus .contactus-1 .form-2 .form-3 {
  background-color: #F8FAFB;
  height: 72px;
  display: flex;
   align-items: center;
   font-size: 18px;
   margin-top: 16px;
   gap: 16px;
}
.contactus .contactus-2{
   box-shadow: #E2E8F0 2px 7px 11px;
   border-radius: 8px;
   padding: 32px;
}
input,textarea{
  width: 300px;
  height: 36px;
  background-color: #F8FAFB;
  padding: 4px 12px;
  font-size: 16px;
  border-radius: 6px;
  border:  #E2E8F0  1px solid;
  margin-top: 10px;
  cursor: pointer;
}
.contactus .contactus-2 textarea{
  width: 100%;
  height: 100px;
  outline:none;
  resize: none;
}
.contactus button{
    border: none;
    margin-top: 35px;
    height: 48px;
    width: 170px;
    background-color: #45048A;
    color: white;
    cursor: pointer;
    border-radius: 8px;
}
.contactus button:hover{
    background-color: #7C07F8;
    transition: 0.3s;
}

.project-details{
  width: 100%;
  height: 130px; 
  margin-top: 24px;
}


@media (max-width: 1280px) {
 .contactus {
  flex-direction: column;
  width: 100vw;
  padding: 40px;
  gap: 40px;
 }
.contactus .contactus-2 textarea{
  width: 100%;
}
}
@media screen and (max-width:768px) {
  .contactus{
    padding: 20px;
  }
  .contactus .contactus-2 input{
  width:100%;
}
}
@media screen and (max-width:480px) {
  .contactus .contactus-2{
    height: auto;
    padding: 16px;
  }
 .contactus h2{
    font-size: 26px;
  }
  .contactus p{
   font-size: 12px;
  }
   .contactus .contactus-2 input{
   font-size: 14px;
}
  .contactus .contactus-2 textarea{
   font-size: 14px;
}
  .contactus label{
  font-size: 14px;
  }
  .contactus .contactus-1 .form-2 .form-3 img{
    width: 24px;
    margin-top: 10px;
    }
  .contactus .contactus-1 .form-2 .form-3 {
     display: block;
     text-align: center;
     width: auto;
    }
  .contactus-2 .list{
    margin-top: 10px;
  }
  .contactus-2 .list-2{
    flex-direction: column;
  }
  .contactus .contactus-2 button{
    width: 130px;
    height: 40px;
  }
}
footer{
  display: flex;
  flex-direction: column;
  width: 100%;
  color: white;
  background-color: #262626;
  background-size: cover;
  background-repeat: no-repeat; 
  align-items: center;
  justify-content: center;
}
footer .footer-1{
  display: flex;
  gap: 60px;
  width: 1440px;
  padding: 80px 80px 40px ;
}
.footer-1 h2{
    font-weight: 400;
    font-size: 48px;  
}
.footer-1 .tdp p{
    opacity: 75%;
    font-size: 14px;
    margin-top: 16px;
    line-height: 1.5;
}
.footer-1 .tdp-1{
  display: flex;
  gap: 60px;
  width: 100%;
}
.footer-1 .menu-1{
  width: 100%;
}
.footer-1 .menu-1 h3,.menu-2 h3, .menu-3 h3{
  font-weight: 500;
  font-size: 20px;
  margin-top: 5px;
  width:60px;
  height: 5px;
  background-color: #25BAB8;
  border-bottom: 0px;
}
.footer-1 .tdp-1 .ft-menu-1 {
  margin-top: 24px;
  gap: 5px;
}
.footer-1 .tdp-1 .ft-menu-1 a{
  opacity: 90%;
  color: rgb(226, 213, 213);
  text-decoration: none;
   cursor: default;
}
.footer-1 .menu-1 p,.menu-2,.menu-3 p,p1{
  font-size: 20px;
  font-weight: 500;
}
.footer-1 .menu-2 {
  width: 100%;
    height: 100%;
}
.footer-1 .menu-2 .ft-menu-1 a,.ft-menu-2 p{
  margin-top: 30px;
  color: rgb(226, 213, 213);
  font-size: 16px;
}
.footer-1 .menu-3 {
   width: 100%;
    height: 100%;
}
.footer-1 .menu-3 img{
  width: 32px !important;
  height: 32px !important;
}
.footer-1 .ft-menu-3{
  margin-top: 24px;
  
}
.footer-1 .ft-menu-3 p{
  color: rgb(226, 213, 213);
  margin-left: 10px;
  font-size: 16px;
  align-items: center;
  display: flex;
}
.footer-1 .tdp-1 .ft-menu-1 a:hover {
  color: #25BAB8;
  transition: o.3s ease;
}
.footer-1 .tdp-1 .ft-menu-2  p:hover{
  color: #25BAB8;
  transition: o.3s ease;
  cursor: default;
}
.footer-1 .tdp-1 .ft-menu-3 p:hover{
  color: #25BAB8;
  transition: o.3s ease;
  cursor: default;
}
.footer-1-bottom {
  border-top: 1px solid #E2E8F0;  /* Bottom line */
  text-align: center;
  padding: 20px 0;
  font-size: 14px;
  color: #555;
}
.copy-rights{
  margin-top: 24px;
  margin-bottom: 40px;
}

@media  (max-width: 1280px) {
  footer .footer-1{
    width: 100%;
    padding: 40px;
    gap: 40px;
  }
  footer .footer-1 .tdp-1{
    gap: 13px;
  }
   footer .footer-1 .tdp{
    width: 51%;
  }
  .footer-1 .menu-1 {
    width: 100%;
    height: 100%;
  }
  .footer-1 .tdp-1 .ft-menu-1{
    width: 100%;
  }
   .footer-1 .menu-2 {
    width: 100%;
  }
  .footer-1 .tdp-1 .ft-menu-2{
    width: 100%;
  }
    .footer-1 .tdp-1 .ft-menu-3{
    width: 100%;
  }
}


   @media screen and  (max-width: 768px) {
    footer .footer-1{
    display: grid;
    grid-row: 1fr 1fr;
    width: 100%;
    height: auto;
    padding: 40px;
  }
   footer .footer-1 .tdp{
    width: 100%;
    margin-top: 20px;
   }
 
   footer .footer-1 .tdp-1{
    width: 100%;
    display: flex;
  }
  .footer{
     height: auto;
  }
    footer .footer-1{
      height: auto;
    }
    footer .footer-1 .tdp p{
      width: 100%;
    }
    footer .footer-1 h2{
    width: 100%;
    }
}
@media screen and  (max-width: 591px) {
 .footer-1 .menu-3{
  margin-top: 20px;
 }
}
 @media screen and (max-width: 480px) {
  .footer{
     height: auto;
  }
    footer .footer-1{
      height: auto;
      padding: 20px;
    }
    footer .footer-1 .tdp p{
      width: 100%;
     font-size: 12px;
    }
    footer .footer-1 h2{
    width: 100%;
    font-size: 26px;
    }
    footer .footer-1 .tdp-1  p{
    font-size: 12px;
    }
    footer .footer-1 .ft-menu-1{
      font-size: 12px;
    }
    
    .footer-1 .menu-2 {
      margin-top: 20px;
    }
  .footer-1 .tdp-1{
    flex-direction: column;
   }
   .footer-1 .menu-1 h3,.menu-2 h3, .menu-3 h3{
    width: 100%;
 }
  .copy-rights{
    font-size: 12px;
  }
 }